# Uses of Class
org.opensaml.xmlsec.derivation.impl.PBKDF2

Packages that use PBKDF2
Package
Description
org.opensaml.xmlsec.derivation.impl
Implementation components related to key derivation operations.

## Uses of PBKDF2 in org.opensaml.xmlsec.derivation.impl

Methods in org.opensaml.xmlsec.derivation.impl that return PBKDF2
Modifier and Type
Method
Description
`PBKDF2`
PBKDF2.`clone()`
Clone the parameter instance.
`static PBKDF2`
PBKDF2.`fromXMLObject(KeyDerivationMethod xmlObject)`
Create and initialize a new instance from the specified `XMLObject`.
`private static PBKDF2`
PBKDF2.`validateAndSetXMLObjectParameters(PBKDF2Params xmlParams)`
Validate the `PBKDF2Params` instance.